Subject: Re: bug#22976: 24.5; setting unread-command-events to non cons puts emacs in 100% CPU use

From: Eli Zaretskii <[email-masked]>
Date: Sat, 26 Mar 2016 11:54:32 +0300

> Date: Thu, 10 Mar 2016 14:40:24 +0200
> From: Eyal Lotem <[email-masked]>
> Cc: Andreas Schwab <[email-masked]>, [email-masked]
> 
>  > The problem now is that non-cons/non-nil values are ignored.
>  >
>  > The loop to repeatedly thinks there's input so it consumes 100% cpu, each iteration seeing that it isn't
>  a cons
>  > cell, so there's "nothing to do".
> 
>  Exactly. So these values aren't ignored, they create an illusion that
>  some input is available. I was thinking about ignoring them entirely,
>  i.e. treating such values as nil (and maybe even silently replacing
>  them with nil).
> 
> Ah, sorry I misunderstood originally!
> 
> That sounds good to me (though it would be slightly better to warn about it somewhere, IMO)

No further comments, so I installed a fix along the above-mentioned
lines on the emacs-25 branch, and I'm marking this bug done.